Package com.enonic.xp.audit

## Class FindAuditLogParams

- java.lang.Object
- - com.enonic.xp.audit.FindAuditLogParams

-     public class FindAuditLogParams
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `FindAuditLogParams.Builder` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DEFAULT_FETCH_SIZE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FindAuditLogParams.Builder` | `create()` |
    `int` | `getCount()` |
    `Instant` | `getFrom()` |
    `AuditLogIds` | `getIds()` |
    `AuditLogUris` | `getObjectUris()` |
    `String` | `getSource()` |
    `int` | `getStart()` |
    `Instant` | `getTo()` |
    `String` | `getType()` |
    `PrincipalKeys` | `getUsers()` |
    `static FindAuditLogParams.Builder` | `newBuilder()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_FETCH_SIZE

          public static final int DEFAULT_FETCH_SIZE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### newBuilder

          public static FindAuditLogParams.Builder newBuilder()

    - #### getIds

          public AuditLogIds getIds()

    - #### getFrom

          public Instant getFrom()

    - #### getTo

          public Instant getTo()

    - #### getType

          public String getType()

    - #### getSource

          public String getSource()

    - #### getStart

          public int getStart()

    - #### getCount

          public int getCount()

    - #### getUsers

          public PrincipalKeys getUsers()

    - #### getObjectUris

          public AuditLogUris getObjectUris()

    - #### create

          public static FindAuditLogParams.Builder create()